WordPress.org

Support

Support » Plugins and Hacks » Gallery Carousel Without JetPack » [Resolved] [Plugin: Gallery Carousel Without JetPack] Carousel jquery/js issues

[Resolved] [Plugin: Gallery Carousel Without JetPack] Carousel jquery/js issues

  • I lose Carousel functionality once I include these files in my header.php:

    http://ajax.googleapis.com/ajax/libs/jquery/1.4/jquery.min.js
    http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js http://(my site directory) /js/jquery.easing.1.3.js

    These three files are required for a custom scrolling box that I’ve put my main content into (my page has a fixed height). For it, I am using code borrowed from this site: http://manos.malihu.gr/jquery-custom-content-scroller.

    I imagine that there must be some sort of issue with different jquery versions, because once I remove these files, carousel works again, but I don’t know if or how to solve this. I’ve seen posts on using the enqueue, so my links look like this in my header, but this doesn’t make a difference. Still no carousel gallery slideshow:

    <?php wp_enqueue_script("jquery"); ?>
    <?php wp_enqueue_script("1_4min","http://ajax.googleapis.com/ajax/libs/jquery/1.4/jquery.min.js"); ?>
    <?php wp_enqueue_script("1_8_ui_min","http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/jquery-ui.min.js"); ?>

    Any insight on what I’m doing wrong? Ideally I’d like to have both the scrolling and carousel gallery functioning on the same page. Thanks in advance!

    http://wordpress.org/extend/plugins/carousel-without-jetpack/

Viewing 1 replies (of 1 total)
  • Plugin Author Syed Balkhi

    @smub

    Unfortunately, I cannot control that other plugin authors are not using the most up to date version of jQuery.

    From the link you sent me, the author is using version 1.7 of jQuery. If you are following that tutorial, then you shouldn’t have to add 1.4.

    You should only have one version of jQuery on your page… having multiple versions is not ideal.

    My suggestion would be to ask the other plugin author to use the most up to date version of jQuery. This issue is not with our plugin rather it is with the code you are adding. Unfortunately, we cannot assist with that. You might have to find better code or switch to another plugin.

Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] [Plugin: Gallery Carousel Without JetPack] Carousel jquery/js issues’ is closed to new replies.
Skip to toolbar